﻿Enum Polymsg
    MSG_NO_ERROR = 0
    MSG_DEVICE_SEARCHING = 1
    MSG_CONNCTION_OK = 2
    MSG_SET_WAVE_OK = 3
    MSG_DEVICE_INIT = 4
    MSG_DEVICE_BUSY = 5
    MSG_DEVICE_READY = 6
    MSG_DEVICE_CLOSE_PORT = 10

    ERR_DEVICE_NOT_FOUND = -1
    ERR_DEVICE_FILE_NOT_FOUND = -2
    ERR_DEVICE_FILE_ERROR = -3
    ERR_DEVICE_NOT_READY = -4
    ERR_DEVICE = -5
    ERR_DEVICE_ERROR_MODEL_NO = -6
    ERR_DEVICE_ERROR_SERIAL_NO = -7
    ERR_DEVICE_ERROR_WAVE_RANGE = -8
    ERR_DEVICE_NOTCONNECTED = -9

    ERR_COMM_CONN_ERROR = -11
    ERR_COMM_CONN_LOST = -12
    ERR_COMM_TIMEOUT = -13
    ERR_COMM_ERROR = -14

    ERR_NOT_FOUND_WAVE = -21
    ERR_SET_WAVE_ERROR = -22
    ERR_SET_DIMMING_VAL_ERROR = -23 '2023.6.10
    ERR_FUNC_ERROR = -10 '2023.6.11
End Enum


Public Class Form1
    Public poly As New ISM_Device.ClassPoly

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles ButtonConnect.Click

        Dim rtn As Integer
        Dim Model As String = ""
        Dim Range As String = ""
        Dim Port As String = ""
        'rtn = poly.PolyConnect("D:\JTlabPrj\ISM\20180200_JT_ISM_MULTI_FM2\UserApp\Sample\VC\PolySample\PolySample\bin\Debug\20190125_FAPxVP190000.ism")
        rtn = poly.PolyConnect(TextBoxIniFile.Text)
        If (rtn = Polymsg.MSG_NO_ERROR) Then
            'MessageBox.Show(poly.GetComPortNumber)
            If poly.GetInforData(Model, Range, Port) = Polymsg.MSG_NO_ERROR Then
                LabelModel.Text = Model
                LabelWaveRange.Text = Range
                LabelPortNo.Text = Port
                Timer1.Start()
            End If
        Else
            LabelStatus.Text = poly.GetStringMsg(rtn)
        End If
    End Sub

    Private Sub ButtonOpen_Click(sender As Object, e As EventArgs) Handles ButtonOpen.Click
        If OpenFileDialog1.ShowDialog() = DialogResult.OK Then
            TextBoxIniFile.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Private Sub ButtonGo_Click(sender As Object, e As EventArgs) Handles ButtonGo.Click
        ' If (TextBoxCWL.Text = "" Or TextBoxFWHM.Text = "") Then
        'Exit Sub
        'End If
        Dim rtn As Integer = poly.SetWavelength(TextBoxCWL.Text, TextBoxFWHM.Text)
        LabelStatus.Text = poly.GetStringMsg(rtn)
    End Sub

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        Dim rtn As Integer
        rtn = poly.GetDeviceStatus()
        If rtn = Polymsg.MSG_DEVICE_READY Then
            Timer1.Stop()
            ButtonGo.Enabled = True
        End If
        LabelStatus.Text = poly.GetStringMsg(rtn)
    End Sub

    Private Sub ButtonExit_Click(sender As Object, e As EventArgs) Handles ButtonExit.Click
        Close()
    End Sub

    Private Sub ButtonDisconnect_Click(sender As Object, e As EventArgs) Handles ButtonDisconnect.Click
        LabelStatus.Text = poly.GetStringMsg(poly.Disconnect())
        ButtonGo.Enabled = False
    End Sub

    Private Sub Button1_Click_1(sender As Object, e As EventArgs) Handles Button1.Click
        TextBox1.Text = poly.GetDllVer()
    End Sub
End Class
